MarinerWrtGraphInternal::PSZone Struct Reference

Internal: the struct use to store a ps zone of a MarinerWrtGraph. More...

## Public Member Functions
| PSZone ()
| constructor

## Public Attributes
MWAWEntry | m_pos
| the file position
int | m_type
| a local type?
long | m_id
| an id
bool | m_parsed
| a flag to know if the data has been sent
std::string | m_extra
| some extra data

## Friends
std::ostream & | operator<< (std::ostream &o, PSZone const &file)
| operator<<

## Detailed Description

Internal: the struct use to store a ps zone of a MarinerWrtGraph.

## Constructor & Destructor Documentation

## ◆ PSZone()

MarinerWrtGraphInternal::PSZone::PSZone | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PSZone const & | file )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string MarinerWrtGraphInternal::PSZone::m_extra

some extra data

Referenced by operator<<, PSZone(), and MarinerWrtGraph::readPostscript().

## ◆ m_id

long MarinerWrtGraphInternal::PSZone::m_id

an id

Referenced by operator<<, PSZone(), and MarinerWrtGraph::readPostscript().

## ◆ m_parsed

bool MarinerWrtGraphInternal::PSZone::m_parsed
| mutable

a flag to know if the data has been sent

Referenced by PSZone(), and MarinerWrtGraph::sendPSZone().

## ◆ m_pos

MWAWEntry MarinerWrtGraphInternal::PSZone::m_pos

the file position

Referenced by PSZone(), MarinerWrtGraph::readPostscript(), and MarinerWrtGraph::sendPSZone().

## ◆ m_type

int MarinerWrtGraphInternal::PSZone::m_type

a local type?

Referenced by operator<<, PSZone(), and MarinerWrtGraph::readPostscript().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx